Debians sikkerhedsbulletin

DSA-790-1 phpldapadmin -- programmeringsfejl

Rapporteret den:
30. aug 2005
Berørte pakker:
phpldapadmin
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Debians fejlsporingssystem: Fejl 322423.
I Mitres CVE-ordbog: CVE-2005-2654.
Yderligere oplysninger:

Alexander Gerasiov har opdaget at phpldapadmin, en webbaseret grænseflade til administering af LDAP-servere, gav alle adgang til LDAP anonymt, også selvom dette var slået fra i opsætningen med kommandoen "disable_anon_bind".

Den gamle stabile distribution (woody) er ikke sårbar over for dette problem.

I den stabile distribution (sarge) er dette problem rettet i version 0.9.5-3sarge2.

I den ustabile distribution (sid) er dette problem rettet i version 0.9.6c-5.

Vi anbefaler at du opgraderer din phpldapadmin-pakke.

Rettet i:

Debian GNU/Linux 3.1 (sarge)

Kildekode:
http://security.debian.org/pool/updates/main/p/phpldapadmin/phpldapadmin_0.9.5-3sarge2.dsc
http://security.debian.org/pool/updates/main/p/phpldapadmin/phpldapadmin_0.9.5-3sarge2.diff.gz
http://security.debian.org/pool/updates/main/p/phpldapadmin/phpldapadmin_0.9.5.orig.tar.gz
Arkitekturuafhængig komponent:
http://security.debian.org/pool/updates/main/p/phpldapadmin/phpldapadmin_0.9.5-3sarge2_all.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.